package gma

type AddonArchive struct {
	LZMA bool
}
type GMAHeader struct {
	FormatVersion            byte   `json:"formatVersion"`
	FormatVersionDiscardByte byte   `json:"formatVersionDB"`
	SteamID                  uint64 `json:"steamID"`
	Timestamp                uint64 `json:"timestamp"`

	Title       string `json:"title"`
	Description string `json:"description"`
	Author      string `json:"author"`

	AddonVersion int32 `json:"addonVersion"`
}
type GMAFileMetadata struct {
	FileNumber int32
	FileName   string
	Offset     int64
	FileSize   int64
	CRC        uint32
	NextType   uint32
}
type GMAExtractionMeta struct {
	OriginalMeta    GMAFileMetadata
	ExtractedCRC    uint32
	ExtractedSHA256 string
}
